<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<link rel="stylesheet" th:href="@{/style/css/bootstrap.css}">
<link rel="stylesheet" th:href="@{/style/css/fonts-awesome.min.css}">
<link rel="stylesheet" th:href="@{/style/css/main.css}">
<head>
    <meta charset="UTF-8">
    <title>Добавление товара</title>
</head>
<body>

<form th:action="@{/admin/deleteProduct}" method="post" enctype="multipart/form-data">
    <table class="table table-hover">
        <thead>
        <tr>
            <th scope="col">Выделить</th>
            <th scope="col">Категория</th>
            <th scope="col">Фото</th>
            <th scope="col">Название</th>
            <th scope="col">Стоимость</th>
            <th scope="col">Наличие</th>
            <th scope="col">Количество</th>
            <th scope="col">Редактировать</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="product : ${products}">
            <td><input type="checkbox" th:name="HighlightedProducts" th:value="${product.id}"/></td>
            <td th:text="${product.category}"></td>
            <td><img th:src="@{/style/image/__${product.pictures}__}" width="70" height="70" alt=""></td>
            <td th:text="${product.name}"></td>
            <td th:text="${product.cost}"></td>
            <td th:text="${product.isAvailable}"></td>
            <td th:text="${product.count}"></td>
            <td><a th:href="@{/admin/updateProduct/__${product.id}__}">Редактировать</a></td>
        </tr>
        </tbody>
    </table>
<!--</form th:action="@{/admin/deleteProduct}" method="post">-->
    <button type="submit" class="buttons">Удалить</button>
</form>

<h3>Добавить изделие</h3>
<form th:action="@{/admin/addProduct}" th:object="${productForm}" method="post">
    <div class="form-group">
        <label class="control-label col-sm-3" for="username">Название</label>
        <div class="controls col-sm-9">
            <input id="username" name="username" class="form-control" type="text" th:field="*{name}" required/>
        </div>
    </div><div class="form-group">
    <label class="control-label col-sm-3" for="password">Стоимость</label>
    <div class="controls col-sm-9">
        <input id="password" name="password" class="form-control" type="text" th:field="*{cost}" required/>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Категория</label>
        <div class="controls col-sm-9">
            <input id="cat" name="password" class="form-control" type="text" th:field="*{category}" required/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Доступность</label>
        <div class="controls col-sm-9">
            <input id="passwordd" name="password" class="form-control" type="text" th:field="*{isAvailable}" required/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Количество</label>
        <div class="controls col-sm-9">
            <input id="passworаd" name="password" class="form-control" type="text" th:field="*{count}" required/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="pictures">Картинка</label>
        <div class="controls col-sm-9">
            <input id="pictures" name="pictures" class="form-control" type="file" value=""/>
        </div>
    </div>
</div>
    <button type="submit" class="buttons">Сохранить</button>
</form>

<form action="#" th:action="@{/admin/deleteDescription}" method="POST">
    <table class="table table-hover">
        <thead>
        <tr>
            <th scope="col">Выделить</th>
            <th scope="col">Минимальный вес</th>
            <th scope="col">Металл</th>
            <th scope="col">Вставка</th>
            <th scope="col">Механизм</th>
            <th scope="col">Пол</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="description : ${descriptions}">
            <td><input type="checkbox" name="HighlightedDescriptions" th:value="${description.id}"/></td>
            <td th:text="${description.minWeight}"></td>
            <td th:text="${description.metal}"></td>
            <td th:text="${description.insertion}"></td>
            <td th:text="${description.mechanism}"></td>
            <td th:text="${description.gender}"></td>
        </tr>
        </tbody>
    </table>
    <button type="submit" class="buttons">Удалить</button>
</form>

<p>Добавить/обновить описание</p>
<form th:action="@{/admin/addDescription}" th:object="${descriptionForm}" method="post">
    <div class="form-group">
        <label class="control-label col-sm-3" for="username">Минимальный вес</label>
        <div class="controls col-sm-9">
            <input  name="minWeight" class="form-control" type="text" required/>
        </div>
    </div><div class="form-group">
    <label class="control-label col-sm-3" for="password">Металл</label>
    <div class="controls col-sm-9">
        <input name="metal" class="form-control" type="text"/>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Вставка</label>
        <div class="controls col-sm-9">
            <input  name="insertion" class="form-control" type="text"/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Механизм</label>
        <div class="controls col-sm-9">
            <input  name="mechanism" class="form-control" type="text"/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">Пол</label>
        <div class="controls col-sm-9">
            <input  name="gender" class="form-control" type="text"/>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label col-sm-3" for="password">ID продукта</label>
        <div class="control col-sm-9">
            <input name="productId" class="form-control" type="text">
        </div>
    </div>
</div>
    <button type="submit" class="buttons">Сохранить</button>
</form>

    <form action="#" th:action="@{/admin/updateOrderStatus}" method="post">
        <table class="table table-hover">
            <thead>
            <tr>
                <th scope="col">Выделить</th>
                <th scope="col">Номер в базе</th>
                <th scope="col">Имя</th>
                <th scope="col">Адрес</th>
                <th scope="col">Комментарий</th>
                <th scope="col">Статус</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="order : ${orders}">
                <td><input type="checkbox" name="HighlightedOrders" th:value="${order.id}"/>
                </td>
                <td th:text="${order.id}"></td>
                <td th:text="${order.customerName}"></td>
                <td th:text="${order.address}"></td>
                <td th:text="${order.comment}"></td>
                <td th:text="${order.status}"></td>
                </td>
            </tr>
            </tbody>
        </table>
        <button type="submit" class="buttons">Доставлено</button>
    </form>

<form action="/logout" method="get">
    <button type="submit" class="buttons">Выйти</button>
</form>
</body>
</html>




